Foxit PDF SDK

Public Member Functions | List of all members
FSDK.NamedAction Class Reference
Inheritance diagram for FSDK.NamedAction:

## Public Member Functions
| constructor (action)
| Constructor, with parent class object. More...
| GetName ()
| Get the name of the action. More...
| SetName (name)
| Set the name of the action. More...
Public Member Functions inherited from FSDK.Action
| constructor (document, action_dict)
| Constructor, with parameters. More...
| GetDict ()
| Get PDF dictionary of current object. More...
| GetDocument ()
| Get the PDF document, to which current action belongs. More...
| GetSubAction (index)
| Get a sub-action by index. More...
| GetSubActionCount ()
| Get the count of sub-actions. More...
| GetType ()
| Get action type. More...
| InsertSubAction (index, sub_action)
| Insert a new sub-action to the location specified by index. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| RemoveAllSubActions ()
| Remove all the sub-actions. More...
| RemoveSubAction (index)
| Remove a sub-action, specified by index. More...
| SetSubAction (index, sub_action)
| Set a sub-action by index. More...

## Additional Inherited Members
Static Public Member Functions inherited from FSDK.Action
static | Create (document, action_type)
| Create a new action, for specified action type. More...
Static Public Attributes inherited from FSDK.Action
static | e_NewWindowFlagFalse
| Enumeration for new window flag. More...
static | e_NewWindowFlagNone
| No "NewWindow" flag.
static | e_NewWindowFlagTrue
| "NewWindow" flag is true.
static | e_TypeGoto
| Action type: go-to action.
static | e_TypeGoTo3DView
| Action type: go-to-3D-view action.
static | e_TypeGoToE
| Action type: embedded go-to action.
static | e_TypeGoToR
| Action type: remote go-to action.
static | e_TypeHide
| Action type: hide action.
static | e_TypeImportData
| Action type: import-data action.
static | e_TypeJavaScript
| Action type: JavaScript action.
static | e_TypeLaunch
| Action type: launch action.
static | e_TypeMovie
| Action type: movie action.
static | e_TypeNamed
| Action type: named action.
static | e_TypeRendition
| Action type: rendition action.
static | e_TypeResetForm
| Action type: reset-form action.
static | e_TypeSetOCGState
| Action type: set-OCG-state action.
static | e_TypeSound
| Action type: sound action.
static | e_TypeSubmitForm
| Action type: submit-form action.
static | e_TypeThread
| Action type: thread action.
static | e_TypeTrans
| Action type: transition action.
static | e_TypeUnknown
| Enumeration for action type. More...
static | e_TypeURI
| Action type: uniform resource identifier (URI) action.

## Detailed Description

Named action is an action that executes an action predefined by the viewer application.
Class FSDK.NamedAction is derived from FSDK.Action and offers functions to get/set named action data.

See also
  FSDK.Action

## Member Function Documentation

## ◆ constructor()

FSDK.NamedAction.constructor | ( | action |  | ) |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## ◆ GetName()

FSDK.NamedAction.GetName | ( |  | ) |

Get the name of the action.

In PDF reference 1.7, following names are defined and PDF viewer applications are expected to support them:
"NextPage", "PrevPage", "FirstPage", "LastPage".
Some more standard names may be added in later version. Application can also use additional, non-standard names.

Returns
  Name of the action.

## ◆ SetName()

FSDK.NamedAction.SetName | ( | name |  | ) |

Set the name of the action.

In PDF reference 1.7, following names are defined and PDF viewer applications are expected to support them:
"NextPage", "PrevPage", "FirstPage", "LastPage".
Some more standard names may be added in later version. Application can also use additional, non-standard names.

Parameters

  [in] | name | A string that represents the new name. It should not be an empty string.

Returns
  None.